.fab-container {
  @apply fixed bottom-6 right-6 flex items-end justify-end w-14 h-14 p-0.5 transition-all duration-[0.2s] rounded-full;

  @for $i from 2 through 16 {
    &:has(div:nth-child(#{$i})) {
      @apply hover:h-[#{$i * 4}rem];
    }
  }

  .fab-primary,
  .fab-secondary, {
    @apply shadow-lg flex items-center justify-center p-3 rounded-full absolute hover:shadow-xl active:shadow-lg;

    &:not([class*="text-"]) {
      @apply text-white;
    }

    svg {
      @apply h-7 w-7 m-auto;
      //fill: none;
      stroke: black;
    }
  }

  .fab-primary {
    @apply z-50;
    &:not([class*="bg-"]) {
      @apply bg-red-600 hover:bg-red-700;
    }
  }

  .fab-secondary {
    @apply transition-all duration-[0.2s] ease-out scale-50;
    &:not([class*="bg-"]) {
      @apply bg-blue-300 hover:bg-blue-400;
    }
  }

  &:hover {
    .fab-secondary {
      @apply scale-100;
      @for $i from 2 through 16 {
        &:nth-child(#{$i}) {
          @apply -translate-y-[#{($i - 1) * 4}rem];
        }
      }
    }
  }
}
